/*
 *  x48 port on PSP 
 *
 *  Copyright (C) 2006 Ludovic Jacomme (ludovic.jacomme@gmail.com)
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#include <stdio.h>
#include <stdlib.h>
#include <signal.h>
#include <unistd.h>
#include <string.h>
#include <errno.h>
#include <sys/time.h>
#include <fcntl.h>

#include "global.h"
#include "hp48.h"
#include "psp_init.h"
#include "psp_kbd.h"
#include "psp_gr.h"

int
main(int argc, char **argv)
{
  pspDebugScreenInit();
  /*
   *  Get the name we are called.
   */
  pspDebugScreenPrintf("PSPX48 v1.0.6: X48 port by Zx-81\n");
  pspDebugScreenPrintf("Graphics by Jer666 !\n\n");

  pspDebugScreenPrintf("Please wait now loading !\n");

  sceKernelDelayThread(1000000); 
  /*
   *  init PSP stuff
   */
  psp_init_stuff();
  /*
   *  init x48 stuff
   */
  hp48_init_resource(argc,argv);
  /*
   * initialize emulator stuff
   */
  init_emulator();

  /*
   *  Create the HP-48 window
   */
  psp_init_graphic();

  /*
   * can't be done before windows exist
   */
  init_active_stuff();


  /* Emulation loop */
  do {
    emulate();
  } while (1);

  /* Never reached */
  return 0;
}

